[SeaMonkey] check: TestTXMgr.cpp (nsITransactionManager tests) intermittently times out in "Aggregate Transaction Stress Test"

RESOLVED FIXED in mozilla2.0b8

Status

()

Core
Editor
--
major
RESOLVED FIXED
7 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

(Blocks: 2 bugs, {intermittent-failure})

Trunk
mozilla2.0b8
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(status1.9.2 .14-fixed, status1.9.1 .17-fixed)

Details

(Whiteboard: [test which aborts the suite] , URL)

Attachments

(1 attachment)

(Assignee)

Description

7 years ago
I assume "Aggregate Transaction Stress Test" may just become too slow when the builder is overloaded:
I assume we could add a 'printf()' to get some output.

While there, we should fix the warnings too.


http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290815606.1290821648.13026.gz&fulltext=1
Linux comm-central-trunk leak test build on 2010/11/26 15:53:26
{
...
WARNING: NS_ENSURE_TRUE(aTransaction) failed: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/editor/txmgr/src/nsTransactionManager.cpp, line 100
...
WARNING: NS_ENSURE_TRUE(aListener) failed: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/editor/txmgr/src/nsTransactionManager.cpp, line 632
...
WARNING: NS_ENSURE_TRUE(aListener) failed: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/editor/txmgr/src/nsTransactionManager.cpp, line 646
...
WARNING: NS_ENSURE_SUCCESS(result, result) failed with result 0x80004005: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/editor/txmgr/src/nsTransactionItem.cpp, line 318
...
WARNING: NS_ENSURE_SUCCESS(result, result) failed with result 0x80004005: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/editor/txmgr/src/nsTransactionItem.cpp, line 318
...
WARNING: NS_ENSURE_SUCCESS(result, result) failed with result 0x80004005: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/editor/txmgr/src/nsTransactionItem.cpp, line 318
...
- Aggregate Transaction Stress Test:
-----------------------------------------------------
Stress test (may take a while) ... 
command timed out: 300 seconds without output, killing pid 3092
}


http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290818580.1290827447.2055.gz&fulltext=1
WINNT 5.2 comm-central-trunk leak test build on 2010/11/26 16:43:00
{
...
- Begin Batch Transaction Test:
...
Execute 20 batched transient transaWARNING: NS_ENSURE_SUCCESS(result, result) failed with result 0x80004005: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/editor/txmgr/src/nsTransactionItem.cpp, line 318
ctions ... passed
...
- Simple Transaction Stress Test:
-----------------------------------------------------
Stress test (may take a while) ... WARNING: NS_ENSURE_SUCCESS(result, result) failed with result 0x80004005: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/editor/txmgr/src/nsTransactionItem.cpp, line 318
passed
...
- Aggregate Transaction Stress Test:
-----------------------------------------------------
Stress test (may take a while) ... 
command timed out: 300 seconds without output
program finished with exit code 1
}


Expected result is
{
Stress test (may take a while) ... passed
2630250 transactions processed during stress test.
}
(Assignee)

Comment 1

7 years ago
Previous failures:

...

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290442150.1290446556.2253.gz
Linux comm-central-trunk leak test build on 2010/11/22 08:09:10

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290465478.1290470627.15131.gz
Linux comm-central-trunk leak test build on 2010/11/22 14:37:58

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290473133.1290487271.25446.gz
WINNT 5.2 comm-central-trunk leak test build on 2010/11/22 16:45:33

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290698523.1290709813.1983.gz
Linux comm-central-trunk leak test build on 2010/11/25 07:22:03
(Assignee)

Comment 2

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1291451566.1291466093.32533.gz
WINNT 5.2 comm-central-trunk leak test build on 2010/12/04 00:32:46
{
command timed out: 300 seconds without output
program finished with exit code 1
elapsedTime=1091.938000
}
(Assignee)

Updated

7 years ago
Assignee: nobody → sgautherie.bz
Status: NEW → ASSIGNED
Target Milestone: --- → mozilla2.0b8
(Assignee)

Comment 3

7 years ago
Created attachment 496506 [details] [diff] [review]
(Av1) Add a trivial feedback not to let the user think the test is stuck
[Checked in: Comment 4 & 5]
Attachment #496506 - Flags: review?(peterv)
Attachment #496506 - Flags: review?(peterv) → review+
(Assignee)

Comment 4

7 years ago
Comment on attachment 496506 [details] [diff] [review]
(Av1) Add a trivial feedback not to let the user think the test is stuck
[Checked in: Comment 4 & 5]

http://hg.mozilla.org/mozilla-central/rev/2abc8100631e
Attachment #496506 - Attachment description: (Av1) Add a trivial feedback not to let the user think the test is stuck → (Av1) Add a trivial feedback not to let the user think the test is stuck [Checked in: Comment 4]
(Assignee)

Updated

7 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 7 years ago
Flags: in-testsuite+
Hardware: x86 → All
Resolution: --- → FIXED
(Assignee)

Comment 5

7 years ago
Comment on attachment 496506 [details] [diff] [review]
(Av1) Add a trivial feedback not to let the user think the test is stuck
[Checked in: Comment 4 & 5]

http://hg.mozilla.org/releases/mozilla-1.9.2/rev/ae9e562f8237

http://hg.mozilla.org/releases/mozilla-1.9.1/rev/464ca571e076
Attachment #496506 - Attachment description: (Av1) Add a trivial feedback not to let the user think the test is stuck [Checked in: Comment 4] → (Av1) Add a trivial feedback not to let the user think the test is stuck [Checked in: Comment 4 & 5]
(Assignee)

Updated

7 years ago
status1.9.1: --- → .17-fixed
status1.9.2: --- → .14-fixed
(Assignee)

Updated

7 years ago
Blocks: 618695
(Assignee)

Comment 6

7 years ago
(In reply to comment #0)
> While there, we should fix the warnings too.

I filed bug 617967.
(Assignee)

Updated

7 years ago
Blocks: 617967
Keywords: intermittent-failure
Whiteboard: [test which aborts the suite] [orange] → [test which aborts the suite]
You need to log in before you can comment on or make changes to this bug.